---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: checklists-backend
  namespace: checklists
spec:
  template:
    spec:
      containers:
      - name: api
        image: cr.yandex/crp3ccidau046kdj8g9q/checklists-backend:production_68f242cd
        env:
        - name: HTTP_APP_HOST
          value: 0.0.0.0
        - name: HTTP_APP_PORT
          value: '8000'
        - name: HTTP_APP_ROOT_PATH
          value: /checklists
        - name: HTTP_APP_WORKERS
          value: '8'
        - name: HTTP_APP_ADMIN_ENABLE
          value: 'true'
        - name: DATABASE_HOST
          value: postgres-service
        - name: DATABASE_PORT
          value: '5432'
        - name: DATABASE_NAME
          value: checklists_db
        - name: JWT_AUTH_ENABLE
          value: 'true'
        - name: DEBUG
          value: 'false'
